Package org.springframework.security.web.webauthn.api

# Class AuthenticatorResponse

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorResponse

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticatorAssertionResponse`, `AuthenticatorAttestationResponse`

public abstract class AuthenticatorResponse extends Object implements Serializable
The AuthenticatorResponse represents Authenticators respond to Relying Party requests.

Since:
  6.4
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`Bytes`
`getClientDataJSON()`
The clientDataJSON contains a JSON-compatible serialization of the client data, the hash of which is passed to the authenticator by the client in its call to either create() or get() (i.e., the client data itself is not sent to the authenticator).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getClientDataJSON

public Bytes getClientDataJSON()
The clientDataJSON contains a JSON-compatible serialization of the client data, the hash of which is passed to the authenticator by the client in its call to either create() or get() (i.e., the client data itself is not sent to the authenticator).

Returns:
  the client data JSON